## macsyfinder 1.0.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
# matit
SPHINXBUILD   = sphinx-build
# to be used !
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Txsscan.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Txsscan.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Txsscan"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Txsscan"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
macsyfinder (1.0.2-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:33 +0000

macsyfinder (1.0.2-1) unstable; urgency=medium

  * first package import (Closes: #776722).

 -- bertrand Neron <bneron@pasteur.fr>  Sat, 31 Jan 2015 15:31:23 +0100

=== debian/control ===
Source: macsyfinder
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: bertrand Neron <bneron@pasteur.fr>
Build-Depends: debhelper (>= 9), python (>= 2.7), 
               python-sphinx, 
               texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/macsyfinder/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/macsyfinder/trunk/
Homepage: https://github.com/gem-pasteur/macsyfinder

Package: macsyfinder
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
         hmmer, ncbi-blast+,
         libjs-jquery, libjs-underscore
Description: Detection of macromolecular systems in protein datasets.
 MacSyFinder is a program to model and detect macromolecular systems, 
 genetic pathways... in protein datasets. In prokaryotes, these systems 
 have often evolutionarily conserved properties: they are made of conserved 
 components, and are encoded in compact loci (conserved genetic architecture). 
 The user models these systems with MacSyFinder to reflect these conserved 
 features, and to allow their efficient detection 
 . 
 This package presents the Open Source Java API to biological databases
 and a series of mostly sequence-based algorithms.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@   --with python2

override_dh_auto_install:
	cd doc && make html
	cd doc && make latexpdf 
	python setup.py install --prefix=debian/macsyfinder/usr/ --install-conf=debian/macsyfinder/etc/ --no-viewer 
	mv debian/macsyfinder/etc/macsyfinder/macsyfinder.conf.new debian/macsyfinder/etc/macsyfinder/macsyfinder.conf
	rm debian/macsyfinder/usr/share/doc/macsyfinder/html/_static/jquery.js
	rm debian/macsyfinder/usr/share/doc/macsyfinder/html/_static/underscore.js
	rm -Rf debian/macsyfinder/usr/share/macsyfinder/macsyview

override_dh_clean:
	rm -Rf doc/_build
	rm -f uninstall.cfg
	rm -f uninstall_files
	dh_clean

=== debian/watch ===
version=3

https://github.com/gem-pasteur/macsyfinder/tags .*/macsyfinder-?(\d\S*\.\d+)\.tar\.gz

## macsyfinder 1.0.5

=== debian/changelog ===
macsyfinder (1.0.5-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Team Upload.
  * Trim trailing whitespace.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2018 09:11:39 +0100

macsyfinder (1.0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * cme fix dpkg-control
  * debhelper 11
  * Build-Depends: s/python-sphinx/python3-sphinx/

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2018 15:22:53 +0100

macsyfinder (1.0.2-5) unstable; urgency=medium

  * Team upload.
  * Add graphviz to Build-Depends
    Closes: #878503
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sun, 22 Oct 2017 09:01:54 +0200

macsyfinder (1.0.2-4) unstable; urgency=medium

  * Team upload
  * Build-Depends: latexmk
    Closes: #872232
  * Build-Depends: dh-python
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Sep 2017 14:51:39 +0200

macsyfinder (1.0.2-3) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * Add missing X-Python-Version
  * Hack around results of broken setup.py
  * debhelper 10
  * d/watch: version=4

  [ Canberk Koç ]
  * Autopkgtest added

 -- Canberk Koç <canberkkoc@gmail.com>  Tue, 13 Dec 2016 01:36:37 +0300

macsyfinder (1.0.2-2) unstable; urgency=medium

  * Team upload
  * debian/upstream/metadata: Fix citation syntax and add some more
    information
  * cme fix dpkg-control
  * Add missing Build-Depends texlive-generic-extra
    Closes: #830407
  * Fix short description
  * Fix manpage
  * DEP5 fix

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jul 2016 13:13:37 +0200

=== debian/control ===
Source: macsyfinder
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: bertrand Neron <bneron@pasteur.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python,
               python3-sphinx,
               texlive-latex-recommended,
               texlive-generic-extra,
               texlive-latex-extra,
               texlive-fonts-recommended,
               latexmk,
               graphviz
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/macsyfinder
Vcs-Git: https://salsa.debian.org/med-team/macsyfinder.git
Homepage: https://github.com/gem-pasteur/macsyfinder

Package: macsyfinder
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         hmmer,
         ncbi-blast+,
         libjs-jquery,
         libjs-underscore
Description: detection of macromolecular systems in protein datasets
 MacSyFinder is a program to model and detect macromolecular systems,
 genetic pathways... in protein datasets. In prokaryotes, these systems
 have often evolutionarily conserved properties: they are made of conserved
 components, and are encoded in compact loci (conserved genetic architecture).
 The user models these systems with MacSyFinder to reflect these conserved
 features, and to allow their efficient detection
 .
 This package presents the Open Source Java API to biological databases
 and a series of mostly sequence-based algorithms.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,19 @@
 
 override_dh_auto_install:
 	cd doc && make html
-	cd doc && make latexpdf 
-	python setup.py install --prefix=debian/macsyfinder/usr/ --install-conf=debian/macsyfinder/etc/ --no-viewer 
+	cd doc && make latexpdf
+	python setup.py install --prefix=debian/macsyfinder/usr/ --install-conf=debian/macsyfinder/etc/ --no-viewer
+	# The better solution would be to use
+	#	dh_auto_install -- --prefix=/usr --install-conf=/etc --no-viewer
+	# and fiy setup.py to use --root as install location (which is ignored unfortunately)
+	# Since I have no idea how to fix setup.py here the broken config files are hacked afterwards
+	for conffile in \
+		etc/macsyfinder/macsyfinder.conf.new \
+		usr/lib/python2.7/site-packages/macsypy/config.py \
+		usr/lib/python2.7/site-packages/macsypy/registries.py \
+		; do \
+	    sed -i 's:debian/macsyfinder::g' debian/macsyfinder/$${conffile} ; \
+	done
 	mv debian/macsyfinder/etc/macsyfinder/macsyfinder.conf.new debian/macsyfinder/etc/macsyfinder/macsyfinder.conf
 	rm debian/macsyfinder/usr/share/doc/macsyfinder/html/_static/jquery.js
 	rm debian/macsyfinder/usr/share/doc/macsyfinder/html/_static/underscore.js

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions:

## macsyfinder 2.0~rc1

=== requirements.txt ===
colorlog
pyyaml
packaging
networkx

=== debian/changelog ===
macsyfinder (2.0~rc1-3) unstable; urgency=high

  * Team upload.
  * Switch to arch: amd64 i386 due to unavailability of hmmer on other
    architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 11 Feb 2021 12:16:46 +0100

macsyfinder (2.0~rc1-2) unstable; urgency=high

  * Team upload.
  * Skip autopkgtests where hmmer is not available, such as ppc64el.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 14:07:13 +0100

macsyfinder (2.0~rc1-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version
    Closes: #936977
  * Fixed watch file
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: python3-setuptools

  [ Michael R. Crusoe ]
  * debian/patches/allow_setuptools: added to fix build. Closes: #933928
  * Use unittests for autopkgtests
  * Fix conffile placement
  * Make sure no build paths are embedded
  * Build the docs

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 06 Feb 2021 15:35:04 +0100

macsyfinder (1.0.5-3) unstable; urgency=medium

  * Team upload.
  * Build-Depends: s/texlive-generic-extra/texlive-plain-generic/
    Closes: #933287
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * buildsystem=pybuild
  * Build-Depends: hmmer
  * Fix / ignore failing tests

 -- Andreas Tille <tille@debian.org>  Mon, 05 Aug 2019 15:35:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,41 @@
 Uploaders: bertrand Neron <bneron@pasteur.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python,
+               python3,
+               python3-setuptools,
                python3-sphinx,
+               python3-networkx <!nocheck>,
+               python3-yaml <!nocheck>,
+               python3-colorlog <!nocheck>,
+               python3-sphinx-rtd-theme <!nodoc>,
                texlive-latex-recommended,
-               texlive-generic-extra,
+               texlive-plain-generic,
                texlive-latex-extra,
                texlive-fonts-recommended,
                latexmk,
-               graphviz
-Standards-Version: 4.2.1
+               graphviz,
+               hmmer
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/macsyfinder
 Vcs-Git: https://salsa.debian.org/med-team/macsyfinder.git
 Homepage: https://github.com/gem-pasteur/macsyfinder
+Rules-Requires-Root: no
 
 Package: macsyfinder
-Architecture: all
-Depends: ${python:Depends},
+Architecture: amd64 i386
+Depends: ${python3:Depends},
+         ${sphinxdoc:Depends},
          ${misc:Depends},
+         python3-networkx,
+         python3-yaml,
+         python3-colorlog,
          hmmer,
          ncbi-blast+,
          libjs-jquery,
          libjs-underscore
+Built-Using: ${sphinxdoc:Built-Using}
 Description: detection of macromolecular systems in protein datasets
  MacSyFinder is a program to model and detect macromolecular systems,
  genetic pathways... in protein datasets. In prokaryotes, these systems

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://github.com/gem-pasteur/macsyfinder/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## macsyfinder 2.0~rc4

=== requirements.txt ===
colorlog
pyyaml
packaging
networkx
pandas

=== debian/changelog ===
macsyfinder (2.0~rc4-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 14:33:06 +0100

macsyfinder (2.0~rc4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * refresh skip_failing_test.patch
  * refresh allow_setuptools patch
  * refresh debian_path patch
  * add fix-colorlog.patch; cherry picked upstream (Closes: 995418)
  * d/control: build checks now depend on python3-pandas
  * d/control: doc building now depends on tex-gyre

 -- Étienne Mollier <emollier@debian.org>  Tue, 05 Oct 2021 22:38:12 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,18 @@
                python3-networkx <!nocheck>,
                python3-yaml <!nocheck>,
                python3-colorlog <!nocheck>,
+               python3-pandas <!nocheck>,
                python3-sphinx-rtd-theme <!nodoc>,
+               tex-gyre <!nodoc>,
                texlive-latex-recommended,
                texlive-plain-generic,
                texlive-latex-extra,
                texlive-fonts-recommended,
                latexmk,
                graphviz,
-               hmmer
-Standards-Version: 4.5.1
+               hmmer,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/macsyfinder
 Vcs-Git: https://salsa.debian.org/med-team/macsyfinder.git
 Homepage: https://github.com/gem-pasteur/macsyfinder

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/etc {destdir}/etc && cd {dir}/doc && make html latexpdf

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	find debian -name "test_*.fa" -executable -exec chmod -x \{\} \;
	find debian -name "*.prt" -executable -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-setuptools
Restrictions: allow-stderr,skip-not-installable

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://github.com/gem-pasteur/macsyfinder/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## macsyfinder 2.0~rc7

=== debian/changelog ===
macsyfinder (2.0~rc7-1) unstable; urgency=medium

  * Team upload.
  
  [ Andreas Tille ]
  * New upstream version

  [ Lance Lin ]
  * d/source/lintian-overrides: override license-problem-cc-by-nc-sa
  * d/copyright: update year to current
  * d/patches/fix-test-parse.patch: added author/description
  
 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 13:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-networkx <!nocheck>,
                python3-yaml <!nocheck>,
                python3-colorlog <!nocheck>,
+               python3-colorama,
                python3-pandas <!nocheck>,
                python3-sphinx-rtd-theme <!nodoc>,
                tex-gyre <!nodoc>,

## macsyfinder 2.0

=== debian/changelog ===
macsyfinder (2.0-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Create sensible upstream source filename

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add patch to fix random failure on systems with
    specific configuration (Closes: #1028774)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 Jan 2023 08:42:05 +0530

macsyfinder (2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Ignore failing test
    Closes: #1020106

 -- Andreas Tille <tille@debian.org>  Mon, 19 Sep 2022 17:04:07 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                graphviz,
                hmmer,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/macsyfinder
 Vcs-Git: https://salsa.debian.org/med-team/macsyfinder.git
 Homepage: https://github.com/gem-pasteur/macsyfinder

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/etc {destdir}/etc && cd {dir}/doc && make html latexpdf
+export PYBUILD_AFTER_INSTALL=cp -a {dir}/debian/etc {destdir}/etc && cd {dir}/doc && make html latexpdf
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## macsyfinder 2.1.2

=== debian/changelog ===
macsyfinder (2.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Update lintian override info format in d/macsyfinder.lintian-overrides on
    line 1.
  * drop patch join-threads-for-concurrency, it was applied upstream.
  * d/control: build on arm64 as well, now that hmmer is available there
  * d/source/lintian-overrides: removed, no longer needed.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Sep 2023 21:11:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-sphinx,
                python3-networkx <!nocheck>,
@@ -30,7 +31,7 @@
 Rules-Requires-Root: no
 
 Package: macsyfinder
-Architecture: amd64 i386
+Architecture: amd64 i386 arm64
 Depends: ${python3:Depends},
          ${sphinxdoc:Depends},
          ${misc:Depends},

## macsyfinder 2.1.3

=== debian/changelog ===
macsyfinder (2.1.3-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:54:25 +1100

macsyfinder (2.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Mark patches as not needing forwarding upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 29 Feb 2024 15:40:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: macsyfinder
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: bertrand Neron <bneron@pasteur.fr>
 Section: science
 Priority: optional

=== debian/watch ===
version=4

opts="uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/gem-pasteur/macsyfinder/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## macsyfinder 2.1.4

=== doc/requirements.txt ===
pygraphviz
sphinx-rtd-theme
sphinx_autodoc_typehints
sphinxcontrib-applehelp
sphinxcontrib-devhelp
sphinxcontrib-htmlhelp
sphinxcontrib-jsmath
sphinxcontrib-qthelp
sphinxcontrib-serializinghtml
sphinxcontrib-svg2pdfconverter

=== debian/changelog ===
macsyfinder (2.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches. Dropped fix-test-parse.patch as that is no longer
    needed.
  * Add patch to make a test more flexible.
  * d/clean: also remove doc/build/ Closes: #1048586
  * Switch to autopkgtest-pkg-pybuild. Closes: #1079747

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 16:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: macsyfinder
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: bertrand Neron <bneron@pasteur.fr>
 Section: science
 Priority: optional
@@ -30,6 +29,7 @@
 Vcs-Git: https://salsa.debian.org/med-team/macsyfinder.git
 Homepage: https://github.com/gem-pasteur/macsyfinder
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: macsyfinder
 Architecture: amd64 i386 arm64

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_AFTER_INSTALL=cp -a {dir}/debian/etc {destdir}/etc && cd {dir}/doc && make html latexpdf
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_fixperms:
 	dh_fixperms
